## digikam 2.6.0

=== debian/changelog ===
digikam (4:2.6.0-1+deb7u1) stable; urgency=low

  * Non-maintainer upload.
  * Add versioned Breaks/Replaces on digikam-doc, that fixes the Squeeze to 
    Wheezy upgrade. (Closes: #767570)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Sat, 15 Nov 2014 11:02:12 +0000

digikam (4:2.6.0-1) unstable; urgency=low

  * New upstream release 
  * Drop dngconverter_BYTE_ORDER.diff - included upstream

 -- Mark Purcell <msp@debian.org>  Sun, 10 Jun 2012 15:01:18 +1000

digikam (4:2.6.0~rc-4) unstable; urgency=low

  * Build-Depends: libopencv-dev
    - Fixes "FTBFS: opencv not found" (Closes: #674325)
  * Fix "FTBFS on mips ("error: #error Unable to figure out byte
    order.")" rediscover dngconverter_BYTE_ORDER.diff (Closes: #670454)
  * Fix "Cannot send pictures via icedove !" rediscover sendimages-icedove.diff
    (Closes: #661786)

 -- Mark Purcell <msp@debian.org>  Sat, 02 Jun 2012 14:36:31 +1000

digikam (4:2.6.0~rc-3) unstable; urgency=low

  * Updated Build-Depends: mysql-server-core-5.5 | mysql-server-core
    - Fixes "FTBFS: build-depends on mysql-server-5.1" (Closes: #673161)

 -- Mark Purcell <msp@debian.org>  Sun, 20 May 2012 12:45:04 +1000

digikam (4:2.6.0~rc-2) unstable; urgency=low

  * Fix "FTBFS: build-depends on no-longer available mysql-server-5.1"
    Updated Build-Depends (Closes: #673161)

 -- Mark Purcell <msp@debian.org>  Sat, 19 May 2012 14:12:59 +1000

digikam (4:2.6.0~rc-1) unstable; urgency=low

  * New upstream release
    - Fixes "ftbfs with GCC-4.7" (Closes: #667151)
    - Fixes "rotating photos corrupt jpeg files" (Closes: #666030)
    - Fixes "FTBFS on mips" (Closes: #670454)
    - Fixes "(experimental) crashes when importing" (Closes: #663137)
  * All debian/patches dropped - included upstream 

 -- Mark Purcell <msp@debian.org>  Sun, 13 May 2012 17:36:50 +1000

digikam (4:2.6.0~beta3-1) unstable; urgency=low

  * New upstream release
  * Fix "FTBFS on armel and armhf distinctions double and qreal" 
    - added qreal-float.diff (Closes: #667700)

 -- Mark Purcell <msp@debian.org>  Wed, 11 Apr 2012 20:07:04 +1000

digikam (4:2.6.0~beta2-2) unstable; urgency=low

  * Relax Versioned Build-Depends (libexiv2-dev)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Mar 2012 17:47:39 +1100

digikam (4:2.6.0~beta2-1) unstable; urgency=low

  * New upstream release
    - Drop upstream changeset_rfb9d7b6149e610fe38500c2438d3a6298b81cdbc.diff
  * Upload to unstable - KDE SC 4.7 transition complete
    - Fixes "move to unstable?" (Closes: #656158)

 -- Mark Purcell <msp@debian.org>  Sat, 31 Mar 2012 12:38:11 +1100

=== debian/control ===
Source: digikam
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8), pkg-kde-tools (>= 0.9), pkg-config, cmake (>= 2.6.2), autotools-dev, chrpath,
 doxygen,
 kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
 libmarble-dev (>= 4:4.7),
 libkipi-dev (>= 4:4.7), libkexiv2-dev (>= 4:4.7), libkdcraw-dev (>= 4:4.7), libksane-dev (>= 4:4.7),
 libqt4-dev, libqt4-opengl-dev, libgl1-mesa-dev, libglu1-mesa-dev,
 libqtwebkit-dev,
 libgphoto2-2-dev,
 libgtk2.0-dev,
 libxslt1-dev | libxslt-dev, libxml2-dev,
 libgpod-nogtk-dev,
 libqca2-dev,
 libqjson-dev,
 libltdl3-dev, libpng-dev, libtiff4-dev, libjpeg-dev,
 libsane-dev,
 shared-desktop-ontologies,
 mysql-server-core-5.5 | mysql-server-core,
 libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
 liblcms1-dev, libtiff4-dev, liblqr-1-0-dev,
 libopencv-dev,
 libjasper-dev,
 liblensfun-dev,
 libexiv2-dev,
 libsqlite3-dev,
 libboost-graph-dev,
 libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev
Standards-Version: 3.8.4
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
Homepage: http://www.digikam.org

Package: digikam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
Recommends: www-browser, kipi-plugins, mplayerthumbs
Suggests: digikam-doc
Description: digital photo management application for KDE
 Digital photo management program designed to import, organize, enhance, search
 and export your digital images to and from your computer.
 .
 It provides a simple interface which makes importing and organizing digital
 photographs a "snap". digiKam enables you to manage large numbers of
 digital photographs in albums and to organize these photographs for easy
 retrieval using tags (keywords), captions, collections, dates, geolocation
 and searches. It has many features for viewing, organizing, processing and
 sharing your images. Thus, digiKam is a formidable digital asset management
 (DAM) software including powerful image editing functions. 
 .
 An easy-to-use camera interface is provided, that will connect to your
 digital camera and download photographs directly into digiKam albums.
 More than 1000 digital cameras are supported by the gphoto2 library.
 Of course, any media or card reader supported by your operating system
 will interface with digiKam. 
 .
 digiKam incorporates a fast Image Editor with many image editing tools.
 You can use the Image Editor to view your photographs, comment and rate
 them, correct, enhance and alter them. The editing power can be easily
 extended by a set of plugins, the KDE Image Plugins Interface (manual) 
 .
 While digiKam remains easy to use, it provides professional level features
 by the dozens. It is fully 16 bit enabled including all available plugins,
 supports RAW format conversion through libraw, DNG export and ICC color
 management work flow. 
 .
 New Features of the KDE4 version:
  Runs on any platform that supports Qt4 and KDE4
  Supports XMP metadata
  Reads, writes and converts into DNG format
  New RAW processing tool, gamma-correction in 16 bits
  Preview of video and audio files
  Database file is independent of photo libraries, enabling remote paths,
   multiple roots and offline archives
  Improved database with many more metadata that can be searched
  Marble integration, geographical filtering with the mouse on the map
  New search finds duplicates and similar images
  Help menu lists all RAW formats and digiKam component versions
  DNG, RWL, NEF and PEF RAW file can be metadata edited
  Usability improvements for netbooks
  Non-modal image editor
  Thumbnail bar in preview mode
  Live search boxes in both sidebars and main window
  New camera interface, capture tool, scanner interface
  New plugin based on lensfun for automatic lens error corrections
 .
 digiKam can also make use of the KIPI image handling plugins to
 extend its capabilities even further for photo manipulations,
 import and export, etc. The kipi-plugins package contains many
 very useful extensions.

Package: showfoto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
Recommends: dolphin, kipi-plugins
Breaks: digikam-doc (<< 2:2.0.0-1~)
Replaces: digikam-doc (<< 2:2.0.0-1~)
Description: image viewer/editor for KDE
 showFoto is the standalone image editor of the digiKam project.
 .
 It runs without digiKam images database support, but provides all Image Editor
 functions.

Package: digikam-dbg
Architecture: any
Section: debug
Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version}), showfoto (= ${binary:Version}), kdelibs5-dbg
Priority: extra
Description: debugging symbols for digiKam
 The debugging symbols associated with digiKam and showFoto. They will
 automatically be used by GDB for debugging digiKam-related issues.
 .
 This package should be installed if you wish to obtain a backtrace with 
 symbols.

Package: digikam-data
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: digiKam architecture-independant data
 Contains the significant amount of architecture-independent data that is
 shipped with digiKam.
 .
 It has been placed in an architecture all file to reduce space on the
 archives, rather than one copy for each architecture.

Package: digikam-doc
Architecture: all
Depends: ${misc:Depends}, khelpcenter4
Recommends: digikam
Section: doc
Description: handbook for digiKam 
 digiKam is an easy to use and powerful digital photo management
 application.
 .
 This package contains the handbooks for digiKam and kipi-plugins.

Package: kipi-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, kipi-plugins-common (= ${source:Version})
Breaks: digikam (<< 4:2.3.0-2~)
Replaces: digikam (<< 4:2.3.0-2~)
Recommends: graphicsmagick-imagemagick-compat (>= 1.1.7) | imagemagick (>= 5.4.8), konqueror, hugin, enblend, enfuse
Suggests: gallery, gimp, kmail, vorbis-tools
Enhances: digikam, gwenview, kphotoalbum, showimg
Description: image manipulation/handling plugins for KIPI aware programs
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 Current plugins ported to Qt4/KDE4:
 .
  AcquireImages      : acquire images using flat scanner
  Calendar           : create calendars
  DngConverter       : convert Raw Image to Digital NeGative
  Facebook           : import/export images to/from a remote Facebook
  FlickrExport       : export images to a remote Flickr based web service
  GalleryExport      : export images to a remote Gallery (and Gallery 2)
  GPSSync            : geolocalize pictures
  HTMLExport         : export images collections into a static XHTML page
  ImageViewer        : preview images using OpenGL
  JpegLossLess       : rotate/flip images without losing quality
  MetadataEdit       : edit EXIF, IPTC and XMP metadata
  PicasaWebExport    : export images to a remote Picasa web service
  PrintImage         : print images in various format
  RawConverter       : convert Raw Image to JPEG/PNG/TIFF
  RemoveRedEyes      : remove red eyes on image automatically
  SendImages         : send images by e-mail
  SimpleViewerExport : export images to Flash using SimpleViewer
  SlideShow          : Slide images with 2D and 3D effects using OpenGL
  Smug               : import/export images to/from a remote SmugMug
  TimeAdjust         : adjust date and time
  IpodExport         : export pictures to an Ipod device
  BatchProcess       : batch process images (convert, resize, rename, etc.)
  KIOExport          : export images to remote computer using network protocol
  Shwup              : export images to Shwup web service
  ExpoBlending       : create pseudo HDR image with a stack of bracketed images
  PiwigoExport       : export images to a remote Piwigo 
  DebianScreenshots  : export images to Debian Screenshots web service
  Kopete             : export images to an instant messaging contact
  YandexFotki        : export images to Yandex web service
  MediaWiki          : export images to Mediawiki based web service
  RajceExport        : export images to Rajce web service
  Vkontakte          : export images to VKontakte web service
  PhotoLayoutEditor  : assemble images together
  ImageShackExport   : export images to ImageShack web service
 .
 Porting under progress to Qt4/KDE4:
 .
  WallPaper          : set image as background on your desktop
 .
 Not yet ported to Qt4/KDE4:
 .
  CDArchiving        : archive your image collections to a CD or DVD
  MpegEncoder        : create an MPEG slideshow with a set of images

Package: kipi-plugins-common
Architecture: all
Depends: ${misc:Depends}
Breaks: digikam (<< 4:2.3.0-2~)
Replaces: digikam (<< 4:2.3.0-2~)
Description: kipi-plugins architecture-independent data
 KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
 common plugin structure for digiKam, KPhotoAlbum (formerly known as
 KimDaBa), Showimg and Gwenview.
 Its aim is to share image plugins among graphic applications.
 .
 The architecture independent data needed for the kipi-plugins package.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with kde --parallel 

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" dh_auto_configure --buildsystem=kde -- -DDIGIKAMSC_COMPILE_DOC=on -DDIGIKAMSC_COMPILE_PO=on

override_dh_installchangelogs:
	dh_installchangelogs core/ChangeLog 

# conflicts with oxygen-icon-theme package
override_dh_install:
	dh_install -Xmultithread -Xoxygen -XREADME.MACOSX --fail-missing

override_dh_strip:
	dh_strip -a --dbg-package=digikam-dbg

## digikam 2.8.0

=== core/CMakeLists.txt ===

PROJECT(digikam)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: digiKam")

OPTION(ENABLE_SCRIPTIFACE      "Build digiKam with experimental scripting support (default=OFF)"       OFF)
OPTION(ENABLE_PRESENTATIONMODE "Build digiKam with presentation mode support (default=OFF)"            OFF)
OPTION(ENABLE_THUMBS_DB        "Build digiKam with thumbnails database support (default=ON)"           ON)
OPTION(ENABLE_INTERNALMYSQL    "Look for MySQL server executable at build time (default=ON)"           ON)
OPTION(ENABLE_ADVANCEDDEBUGMSG "Build digiKam with more internal debug message (default=OFF)"          OFF)
OPTION(ENABLE_NEPOMUKSUPPORT   "Build digiKam with Nepomuk support (default=ON)"                       ON)
OPTION(ENABLE_LCMS2            "Link digiKam to LCMS2 instead LCMS1 (experimental) (default=OFF)"      OFF)

# NOTE: since 6.11.24, libpgf do not support very well OpenMP. We disable it temporally.
# See B.K.O #273765 for details.
OPTION(ENABLE_PGF_OPENMP       "Build digiKam with paralelized PGF codec (experimental) (default=OFF)" OFF)

# ==================================================================================================
# Information to update before to release this package.

# digiKam version
SET(DIGIKAM_MAJOR_VERSION "2")
SET(DIGIKAM_MINOR_VERSION "8")
SET(DIGIKAM_PATCH_VERSION "0")

#digiKam release date
SET(DIGIKAM_RELEASE_DATE "2012-08-0")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final release. Can be used in production.
SET(DIGIKAM_SUFFIX_VERSION "")

# ==================================================================================================
# Set env. variables accordingly.

SET(DIGIKAM_VERSION_SHORT
    "${DIGIKAM_MAJOR_VERSION}.${DIGIKAM_MINOR_VERSION}.${DIGIKAM_PATCH_VERSION}"
   )

SET(DIGIKAM_VERSION_STRING
    "${DIGIKAM_VERSION_SHORT}${DIGIKAM_SUFFIX_VERSION}"
   )

# Path to find Extra CMake scripts
SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules")

# ==================================================================================================
# Debug area codes
# These codes will be set for every project specific path automatically, so
# that you can use kDebug() without any usage of the area code throughout the
# digiKam code base.
SET(AREA_CODE_GENERAL        "50003")
SET(AREA_CODE_KIOSLAVES      "50004")
SET(AREA_CODE_SHOWFOTO       "50005")
SET(AREA_CODE_IMAGEPLUGINS   "50006")
SET(AREA_CODE_DATABASESERVER "50007")
ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
ADD_DEFINITIONS(-DQT_USE_FAST_CONCATENATION -DQT_USE_FAST_OPERATOR_PLUS)

MACRO(SET_DEBUG_AREA_CODE _areacode)
    REMOVE_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${AREA_CODE_GENERAL})
    ADD_DEFINITIONS(-DKDE_DEFAULT_DEBUG_AREA=${_areacode})
ENDMACRO(SET_DEBUG_AREA_CODE)

# =======================================================
# some useful macros for printing status information

SET(PRINT_COMPILE_LENGTH "40")
MACRO(FILL_WITH_DOTS VAR)

    STRING(LENGTH ${${VAR}} NAME_LENGTH)

    MATH(EXPR DOT_LENGTH "${PRINT_COMPILE_LENGTH} - ${NAME_LENGTH}")
    IF(${DOT_LENGTH} LESS 0)
        SET(DOT_LENGTH 0)
    ENDIF(${DOT_LENGTH} LESS 0)

    FOREACH(COUNT RANGE ${DOT_LENGTH})
        SET(${VAR} "${${VAR}}.")
    ENDFOREACH(COUNT)

ENDMACRO(FILL_WITH_DOTS)

MACRO(PRINT_LIBRARY_STATUS NAME WEBSITE VERSIONHINT)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME}. You need to install the ${NAME}${VERSIONHINT} library development package.")
        MESSAGE(STATUS " ${NAME} website is at ${WEBSITE}")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_LIBRARY_STATUS)

MACRO(PRINT_QTMODULE_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} module found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " digiKam needs ${NAME} module. You need to install a package containing the ${NAME} module.")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_QTMODULE_STATUS)

MACRO(PRINT_EXECUTABLE_STATUS NAME TECHNICAL_NAME PATH_VARIABLE)

    SET(LIB_MESSAGE "${NAME} found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(STATUS " digiKam needs ${NAME}. You need to install the package containing the \"${TECHNICAL_NAME}\" executable.")
        MESSAGE(STATUS " If you have this executable installed, please specify the folder containing it by ${PATH_VARIABLE}")
        MESSAGE(SEND_ERROR "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_EXECUTABLE_STATUS)

# ==================================================================================================
# Dependencies

FIND_PACKAGE(KDE4 REQUIRED)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(FindPkgConfig)
SET(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH} )

FIND_PACKAGE(PkgConfig)
FIND_PACKAGE(JPEG)
FIND_PACKAGE(PNG)
FIND_PACKAGE(TIFF)
FIND_PACKAGE(Jasper)
FIND_PACKAGE(Kdcraw)
FIND_PACKAGE(Kexiv2)
FIND_PACKAGE(Kipi)
FIND_PACKAGE(Kface)
FIND_PACKAGE(KGeoMap)
FIND_PACKAGE(PGF)
FIND_PACKAGE(CLAPACK)
FIND_PACKAGE(Boost) # 1.36.0)

# LCMS version 1 and 2 library handling
# See B.K.O #294105
# At the moment (2.6) we still DEFAULT to LCMS1 because porting to LCMS2 still experimental.
# It's possible to force to use LCMS2 by switch on ENABLE_LCMS2 option
# Future plans:
#   2.7 will compile against lcms2 by default but lcms1 will stay as a fallback
#   2.8 will support lcms2 only, probably ENABLE_LCMS2 will be removed too
#       unless we decide to support another color managment library
# Note: if ENABLE_LCMS2 is on and no LCMS2 is available, build will fail, even if LCMS1 is present
IF (ENABLE_LCMS2)
    MESSAGE(STATUS "Check for LCMS2 availability...")
    FIND_PACKAGE(LCMS2)
    IF (LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
        MESSAGE(STATUS "Found LCMS2: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
        SET(LCMS_FOUND ${LCMS2_FOUND})
        SET(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
        SET(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
        SET(USE_LCMS_VERSION_2000 1)
    ENDIF (LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
ELSE (ENABLE_LCMS2)
    MESSAGE(STATUS "Check for LCMS1 availability...")
    FIND_PACKAGE(LCMS)
    IF (LCMS_FOUND)
        MESSAGE(STATUS "Found LCMS1: ${LCMS_LIBRARIES} ${LCMS_INCLUDE_DIR}")
        SET(USE_LCMS_VERSION_1000 1)
    ELSE (LCMS_FOUND)
        MESSAGE(STATUS "Check for LCMS2 availability instead LCMS1...")
        FIND_PACKAGE(LCMS2)
        IF (LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
            MESSAGE(STATUS "Found LCMS2 instead LCMS1: ${LCMS2_LIBRARIES} ${LCMS2_INCLUDE_DIR}")
            MESSAGE(WARNING "Support of LCMS2 still experimental")
            MESSAGE(WARNING "Please install LCMS1 if possible")
            SET(LCMS_FOUND ${LCMS2_FOUND})
            SET(LCMS_LIBRARIES ${LCMS2_LIBRARIES})
            SET(LCMS_INCLUDE_DIR ${LCMS2_INCLUDE_DIR})
            SET(USE_LCMS_VERSION_2000 1)
        ENDIF (LCMS2_FOUND AND (LCMS2_VERSION VERSION_EQUAL 2.1 OR LCMS2_VERSION VERSION_GREATER 2.1))
    ENDIF (LCMS_FOUND)
ENDIF (ENABLE_LCMS2)

# To link under Solaris (see B.K.O #274484)
IF(NOT WIN32)
    FIND_LIBRARY(MATH_LIBRARY m)
ENDIF(NOT WIN32)

IF(Boost_FOUND)
    INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF(Boost_FOUND)

#-------------------------------------------------------------------------------------

MACRO_BOOL_TO_01(PGF_FOUND USE_EXT_LIBPGF)

# NOTE: currently libpgf 6.11.24 do not support very well OpenMP. We disable it temporally.
# See B.K.O #273765 for details.
IF(NOT ENABLE_PGF_OPENMP)
    ADD_DEFINITIONS(-DLIBPGF_DISABLE_OPENMP)
    MESSAGE(STATUS "Paralelized PGF codec disabled...")
ELSE(NOT ENABLE_PGF_OPENMP)
    MESSAGE(STATUS "Paralelized PGF codec enabled...")
ENDIF(NOT ENABLE_PGF_OPENMP)

# LibPGF need to be linked to OpenMP if necessary.
# OpenMP detection (requires CMake >= 2.6.3)
# NOTE: OpenMP under MacOSX do not support multithreading.

IF(NOT APPLE AND NOT USE_EXT_LIBPGF)
    MACRO_OPTIONAL_FIND_PACKAGE(OpenMP)

    IF(OPENMP_FOUND)
        SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${OpenMP_CXX_FLAGS}")

        # OpenMP defintions ${OpenMP_CXX_FLAGS} is set on right digiKam components through sub-cmake scripts.
        IF("${OpenMP_CXX_FLAGS}" STREQUAL "-fopenmp" )
            SET(OPENMP_LDFLAGS "-lgomp")
        ENDIF("${OpenMP_CXX_FLAGS}" STREQUAL "-fopenmp" )
        IF("${OpenMP_CXX_FLAGS}" STREQUAL "-xopenmp" )
            SET(OPENMP_LDFLAGS "-xopenmp")
        ENDIF("${OpenMP_CXX_FLAGS}" STREQUAL "-xopenmp" )
    ENDIF(OPENMP_FOUND)
ENDIF(NOT APPLE AND NOT USE_EXT_LIBPGF)

#-------------------------------------------------------------------------------------

IF(NOT APPLE)
    MACRO_BOOL_TO_01(CLAPACK_FOUND USE_EXT_LIBCLAPACK)
ELSE(NOT APPLE)
    # Under MACOS-X Clapack exist in standard, but it's not suitable as well. Need investiguation here.
    SET(CLAPACK_FOUND FALSE)
ENDIF(NOT APPLE)

#-------------------------------------------------------------------------------------

# check version of libjpeg so that we can use the appropriate dir
# See bug #227313
SET(_jpeglib_version_source "#include <stddef.h>\n#include<stdio.h>\n#include <jpeglib.h>\n int main()\n {\n #if (JPEG_LIB_VERSION >= 80) \n #error JPEG_LIB_VERSION >= 80 found \n #endif \n }\n")
SET(_jpeglib_version_source_file ${CMAKE_BINARY_DIR}/CMakeTmp/cmake_jpeglib_version_check.cpp)
FILE(WRITE "${_jpeglib_version_source_file}" "${_jpeglib_version_source}")
SET(_jpeglib_version_include_dirs "-DINCLUDE_DIRECTORIES:STRING=${JPEG_INCLUDE_DIR}")

TRY_COMPILE(_jpeglib_version_compile_result ${CMAKE_BINARY_DIR} ${_jpeglib_version_source_file}
            CMAKE_FLAGS "${_jpeglib_version_include_dirs}"
            COMPILE_OUTPUT_VARIABLE _jpeglib_version_compile_output_var)

IF(_jpeglib_version_compile_result)
    MESSAGE(STATUS "Identified libjpeg version: 62")
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-62)
ELSE(_jpeglib_version_compile_result)
    MESSAGE(STATUS "Identified libjpeg version: 80+")
    SET(DIGIKAM_LIBJPEG_DIR libjpeg-80)
ENDIF(_jpeglib_version_compile_result)

#-------------------------------------------------------------------------------------

IF (ENABLE_INTERNALMYSQL)
# Check MySQL executables
    FIND_PROGRAM( SERVERCMD_MYSQL mysqld
                  PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec /opt/local/libexec
                        /opt/mysql/libexec /usr/mysql/bin /opt/mysql/sbin ${MYSQLD_PATH}
                        ENV MYSQLD_PATH )
    MESSAGE(STATUS "Found MySQL server executable at: ${SERVERCMD_MYSQL}")

# NOTE: under windows, mysql_install_db PERL script is named "mysql_install_db.pl"
#       under MACOS-X, through macports project, mysql_install_db PERL script is named "mysql_install_db5"
    FIND_PROGRAM( INITCMD_MYSQL mysql_install_db mysql_install_db5 mysql_install_db.pl
                  PATHS /usr/sbin /usr/local/sbin /usr/libexec /usr/local/libexec
                        /opt/mysql/libexec /usr/mysql/bin /opt/mysql/bin ${MYSQL_TOOLS_PATH}
                       ENV MYSQL_TOOLS_PATH )

=== extra/kipi-plugins/CMakeLists.txt ===
PROJECT(kipi-plugins)

MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS "Starting CMake configuration for: kipi-plugins")

# =======================================================
# Information to update before to release this package.

# kipi-plugins version
SET(KIPIPLUGINS_MAJOR_VERSION "2")
SET(KIPIPLUGINS_MINOR_VERSION "8")
SET(KIPIPLUGINS_PATCH_VERSION "0")

# kipi-plugins release date
SET (KIPIPLUGINS_RELEASE_DATE "2012-08-05")

# Suffix to add at end of version string. Usual values are:
# "-git"   : alpha code unstable from git. Do not use in production
# "-beta1" : beta1 release.
# "-beta2" : beta2 release.
# "-beta3" : beta3 release.
# "-rc"    : release candidate.
# ""       : final relase. Can be used in production.
SET(KIPIPLUGINS_SUFFIX_VERSION "")

# =======================================================
# Set env. variables accordinly.

SET(KIPIPLUGINS_VERSION_STRING
    "${KIPIPLUGINS_MAJOR_VERSION}.${KIPIPLUGINS_MINOR_VERSION}.${KIPIPLUGINS_PATCH_VERSION}${KIPIPLUGINS_SUFFIX_VERSION}"
   )

# =======================================================
# some useful macros for printing status information

SET(PRINT_COMPILE_LENGTH "40")
MACRO(FILL_WITH_DOTS VAR)

    STRING(LENGTH ${${VAR}} NAME_LENGTH)

    MATH(EXPR DOT_LENGTH "${PRINT_COMPILE_LENGTH} - ${NAME_LENGTH}")
    IF(${DOT_LENGTH} LESS 0)
        SET(DOT_LENGTH 0)
    ENDIF(${DOT_LENGTH} LESS 0)

    FOREACH(COUNT RANGE ${DOT_LENGTH})
        SET(${VAR} "${${VAR}}.")
    ENDFOREACH(COUNT)

ENDMACRO(FILL_WITH_DOTS)

MACRO(PRINT_PLUGIN_COMPILE_STATUS NAME)

    SET(COMPILE_MESSAGE "${NAME} will be compiled")
    FILL_WITH_DOTS(COMPILE_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${COMPILE_MESSAGE} YES (optional)")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${COMPILE_MESSAGE} NO  (optional - Look README file for more details about dependencies)")
    ENDIF(${ARGN})

ENDMACRO(PRINT_PLUGIN_COMPILE_STATUS)

MACRO(PRINT_OPTIONAL_LIBRARY_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES (optional)")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO  (optional)")
    ENDIF(${ARGN})

ENDMACRO(PRINT_OPTIONAL_LIBRARY_STATUS)

MACRO(PRINT_LIBRARY_STATUS NAME WEBSITE VERSIONHINT)

    SET(LIB_MESSAGE "${NAME} library found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
        MESSAGE(STATUS "")
        MESSAGE(SEND_ERROR " kipi-plugins needs ${NAME}. You need to install the ${NAME}${VERSIONHINT} library development package.")
        MESSAGE(STATUS " ${NAME} website is at ${WEBSITE}")
        MESSAGE(STATUS "")
    ENDIF(${ARGN})

ENDMACRO(PRINT_LIBRARY_STATUS)

MACRO(PRINT_OPTIONAL_QTMODULE_STATUS NAME)

    SET(LIB_MESSAGE "${NAME} module found")
    FILL_WITH_DOTS(LIB_MESSAGE)

    IF(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} YES")
    ELSE(${ARGN})
        MESSAGE(STATUS " ${LIB_MESSAGE} NO")
    ENDIF(${ARGN})

ENDMACRO(PRINT_OPTIONAL_QTMODULE_STATUS)

# =======================================================

CMAKE_POLICY(SET CMP0017 NEW)

FIND_PACKAGE(KDE4 REQUIRED)

ADD_DEFINITIONS(${QT_DEFINITIONS} ${KDE4_DEFINITIONS})

INCLUDE(MacroOptionalFindPackage)
INCLUDE(FindPackageHandleStandardArgs)
INCLUDE(KDE4Defaults)
INCLUDE(MacroLibrary)

# Depencies detection required by all plugins
FIND_PACKAGE(Kexiv2 REQUIRED)
FIND_PACKAGE(Kdcraw REQUIRED)
FIND_PACKAGE(Kipi REQUIRED)
FIND_PACKAGE(JPEG REQUIRED)
FIND_PACKAGE(PNG REQUIRED)
FIND_PACKAGE(TIFF REQUIRED)

# check the libkdcraw version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
SET(KDCRAW_MIN_VERSION "1.1.0")
IF (KDCRAW_VERSION)
    MESSAGE(STATUS "libkdcraw: Found version ${KDCRAW_VERSION} (required: ${KDCRAW_MIN_VERSION})")
    IF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
        SET(KDCRAW_FOUND FALSE)
    ENDIF (${KDCRAW_VERSION} VERSION_LESS ${KDCRAW_MIN_VERSION})
ELSE (KDCRAW_VERSION)
    MESSAGE(WARNING "libkdcraw: Version information not found, your version is probably too old.")
ENDIF (KDCRAW_VERSION)

# Optional depencies detection required by some plugins

SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)

MACRO_OPTIONAL_FIND_PACKAGE(EXPAT)         # For DNGConverter: XMP SDK need Expat library to compile.
MACRO_OPTIONAL_FIND_PACKAGE(Threads)       # For DNGConverter: DNG SDK need native threads support.
MACRO_OPTIONAL_FIND_PACKAGE(LibXml2)       # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(LibXslt)       # For Htmlexport.
MACRO_OPTIONAL_FIND_PACKAGE(OpenGL)        # For AdvancedSlideshow and ImageViewer.
MACRO_OPTIONAL_FIND_PACKAGE(Ipod)          # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(Gdk)           # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GLIB2)         # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(GObject)       # For ipodexport.
MACRO_OPTIONAL_FIND_PACKAGE(KdepimLibs)    # For Calendar (libkcal).
MACRO_OPTIONAL_FIND_PACKAGE(QCA2)          # For Shwup and YandexFotki.
MACRO_OPTIONAL_FIND_PACKAGE(KSane)         # For AcquireImages.
MACRO_OPTIONAL_FIND_PACKAGE(OpenCV)        # For RemoveRedEyes.
MACRO_OPTIONAL_FIND_PACKAGE(QJSON)         # For Debian Screenshots and Facebook, and Imgur.
MACRO_OPTIONAL_FIND_PACKAGE(KGeoMap)       # For GPSSync.
MACRO_OPTIONAL_FIND_PACKAGE(Mediawiki)     # For Mediawiki.
MACRO_OPTIONAL_FIND_PACKAGE(LibKVkontakte) # For VKontakte.
MACRO_OPTIONAL_FIND_PACKAGE(Boost)         # For Panorama

# check the libkgeomap version
# note that old versions don't specify version information, so for now
# just inform the user if version information was found
IF (KGEOMAP_VERSION)
    MESSAGE(STATUS "libkgeomap: Found version ${KGEOMAP_VERSION}")
    # TODO: fail if the version is too low
ENDIF (KGEOMAP_VERSION)

# X11 check, LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    MACRO_OPTIONAL_FIND_PACKAGE(X11)   # For AdvancedSlideshow and ImageViewer.
ENDIF(NOT WIN32 AND NOT APPLE)

# SPECIAL OPENCV HANDLING

# there are two versions of FindOpenCV.cmake in the wild, one defining
# OpenCV_LIBRARIES, the other defining OpenCV_LIBS. Make sure we handle
# both cases.
IF (NOT OpenCV_LIBRARIES)
    SET(OpenCV_LIBRARIES ${OpenCV_LIBS})
ENDIF (NOT OpenCV_LIBRARIES)

# same story with OpenCV_INCLUDE_DIRS and OpenCV_INCLUDE_DIR:
IF (NOT OpenCV_INCLUDE_DIRS)
    SET(OpenCV_INCLUDE_DIRS ${OpenCV_INCLUDE_DIR})
ENDIF (NOT OpenCV_INCLUDE_DIRS)

IF (OpenCV_LIBRARIES AND OpenCV_INCLUDE_DIRS)
    SET (OpenCV_FOUND TRUE)
ENDIF (OpenCV_LIBRARIES AND OpenCV_INCLUDE_DIRS)

# OpenMP detection requires CMake >= 2.6.3

EXECUTE_PROCESS(COMMAND ${CMAKE_COMMAND} --version OUTPUT_VARIABLE VERSION_CMAKE_INFO)
MESSAGE(STATUS "CMake version: ${VERSION_CMAKE_INFO}")
STRING(REPLACE "-patch " "." VERSION_CMAKE_INFO "${VERSION_CMAKE_INFO}")
MESSAGE(STATUS "CMake version (cleaned): ${VERSION_CMAKE_INFO}")
MACRO_ENSURE_VERSION("2.6.3" "${VERSION_CMAKE_INFO}" OPENMP_VERSION_CMAKE)

IF(OPENMP_VERSION_CMAKE AND NOT APPLE)
    MACRO_OPTIONAL_FIND_PACKAGE(OpenMP)
ELSE(OPENMP_VERSION_CMAKE AND NOT APPLE)
    MESSAGE(STATUS "CMake version is too old: cannot detected OpenMP. Some plugins may have a weaker performance without OpenMP.")
ENDIF(OPENMP_VERSION_CMAKE AND NOT APPLE)

INCLUDE(MacroOptionalDependPackage)

# ==================================================================================================
# Log messages

MESSAGE(STATUS "")
MESSAGE(STATUS "----------------------------------------------------------------------------------")
MESSAGE(STATUS " kipi-plugins ${KIPIPLUGINS_VERSION_STRING} dependencies results   <http://www.digikam.org>")
MESSAGE(STATUS "")

# Require shared libraries results.

PRINT_LIBRARY_STATUS("libjpeg" "http://www.ijg.org" "" JPEG_FOUND)
PRINT_LIBRARY_STATUS("libtiff" "http://www.remotesensing.org/libtiff" "" TIFF_FOUND)
PRINT_LIBRARY_STATUS("libpng" "http://www.libpng.org/pub/png/libpng.html" " (version >= 1.2.7)" PNG_FOUND)
PRINT_LIBRARY_STATUS("libkipi" "http://www.digikam.org/sharedlibs" " (version >= 1.2.0)" KIPI_FOUND)
PRINT_LIBRARY_STATUS("libkexiv2" "http://www.digikam.org/sharedlibs" " (version >= 1.2.0)" KEXIV2_FOUND)
PRINT_LIBRARY_STATUS("libkdcraw" "http://www.digikam.org/sharedlibs" " (version >= ${KDCRAW_MIN_VERSION})" KDCRAW_FOUND)

# Optional shared libraries results.

PRINT_OPTIONAL_LIBRARY_STATUS("libxml2" LIBXML2_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libxslt" LIBXSLT_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libexpat" EXPAT_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("native threads support" CMAKE_USE_PTHREADS_INIT OR CMAKE_USE_WIN32_THREADS_INIT)
PRINT_OPTIONAL_LIBRARY_STATUS("libopengl" OPENGL_FOUND AND OPENGL_GLU_FOUND)
PRINT_OPTIONAL_QTMODULE_STATUS("Qt4 OpenGL" QT_QTOPENGL_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libopencv" OpenCV_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("QJson" QJSON_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libgpod" IPOD_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("Gdk" GDK_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkdepim" KDEPIMLIBS_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("qca2" QCA2_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkgeomap" KGEOMAP_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libmediawiki" MEDIAWIKI_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("libkvkontakte" LIBKVKONTAKTE_FOUND)
PRINT_OPTIONAL_LIBRARY_STATUS("boost" Boost_FOUND)

IF(OPENMP_VERSION_CMAKE)
    PRINT_OPTIONAL_LIBRARY_STATUS("OpenMP" OPENMP_FOUND)
ENDIF(OPENMP_VERSION_CMAKE)

# LINUX Only.
IF(NOT WIN32 AND NOT APPLE)
    PRINT_OPTIONAL_LIBRARY_STATUS("libX11" X11_FOUND AND X11_Xrandr_FOUND)
ENDIF(NOT WIN32 AND NOT APPLE)

PRINT_OPTIONAL_LIBRARY_STATUS("libksane" KSANE_FOUND)

# Optional plugins results ----------------------------------------------------------------------------

MESSAGE(STATUS "")

IF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    SET(KIPI_COMPILE_MESSAGE "kipi-plugins will be compiled")
    FILL_WITH_DOTS(KIPI_COMPILE_MESSAGE)
    MESSAGE(STATUS " ${KIPI_COMPILE_MESSAGE} YES")
    SET(KIPIPLUGINS_CAN_BE_COMPILED true)
ELSE(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)
    MESSAGE(FATAL_ERROR " kipi-plugins will not be compiled! Look README file for more details about dependencies...")
    SET(KIPIPLUGINS_CAN_BE_COMPILED false)
ENDIF(JPEG_FOUND AND PNG_FOUND AND TIFF_FOUND AND KDCRAW_FOUND AND KEXIV2_FOUND AND KIPI_FOUND)

PRINT_PLUGIN_COMPILE_STATUS("Shwup" QCA2_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("YandexFotki" QCA2_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("HtmlExport" LIBXML2_FOUND AND LIBXSLT_FOUND)

# decide if AdvancedSlideshow and ImageViewer can be built
IF(NOT WIN32 AND NOT APPLE)
    IF (X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS TRUE)
    ELSE (X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS FALSE)
    ENDIF(X11_FOUND AND X11_Xrandr_FOUND AND OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND)
ELSE(NOT WIN32 AND NOT APPLE)
    IF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS TRUE)
    ELSEIF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
        SET(BUILD_VIEWERS FALSE)
    ENDIF (OPENGL_FOUND AND OPENGL_GLU_FOUND AND QT_QTOPENGL_FOUND AND QT_QTOPENGL_FOUND)
ENDIF(NOT WIN32 AND NOT APPLE)

PRINT_PLUGIN_COMPILE_STATUS("AdvancedSlideshow" BUILD_VIEWERS)
PRINT_PLUGIN_COMPILE_STATUS("ImageViewer" BUILD_VIEWERS)
PRINT_PLUGIN_COMPILE_STATUS("AcquireImages" KSANE_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("DNGConverter" EXPAT_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("RemoveRedEyes" OpenCV_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("Debian Screenshots" QJSON_FOUND)
PRINT_PLUGIN_COMPILE_STATUS("Facebook" QJSON_FOUND)

=== debian/changelog ===
digikam (4:2.8.0-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 13 Aug 2012 18:23:16 +0100

digikam (4:2.7.0-0ubuntu1) quantal-proposed; urgency=low

  * New upstream release (LP: #1022972)
    - Use libtiff-dev instead of libtiff4-dev
    - Drop duplicate build dep on libtiff4-dev

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 13 Jul 2012 18:30:11 +0200

digikam (4:2.6.0-0ubuntu2) quantal; urgency=low

  * libkvkontakte1 should not depend on libkvkontakte-data

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 24 Jun 2012 19:20:11 +0200

digikam (4:2.6.0-0ubuntu1) quantal; urgency=low

  * Merge from debian, remaining changes (LP: #885324, #1009943)
    - keep seperate binary packages:
      + libkface1, libkface-data, libkface-dev
      + libkgeomap1, libkgeomap-data, libkgeomap-dev
      + libvkontakte1, libkvkontakte-dev
      + libmediawiki1, libmediawiki-dev
    - keep patches:
      + kubuntu_mysqld_executable_name.diff
    - don't fail on missing files in dh_install
    - install oxygen icons for kipi-plugins
    - digikam breaks/replaces kipi-plugins-common << 4:2.5.0~
    - digikam-doc breaks/replaces digikam-data << 4:2.5.0~
    - digikam-data breaks/replaces kipi-plugins << 4:2.5.0~
    - kipi-plugins-common breaks/replaces kipi-plugins << 4:2.5.0~
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 08 Jun 2012 00:31:19 +0400

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: digikam
-Section: kde
+Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Achim Bohnet <ach@mpe.mpg.de>, Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 8), pkg-kde-tools (>= 0.9), pkg-config, cmake (>= 2.6.2), autotools-dev, chrpath,
  doxygen,
  kdelibs5-dev (>= 4:4.7), kdepimlibs5-dev (>= 4:4.7),
  libmarble-dev (>= 4:4.7),
  libkipi-dev (>= 4:4.7), libkexiv2-dev (>= 4:4.7), libkdcraw-dev (>= 4:4.7), libksane-dev (>= 4:4.7),
- libqt4-dev, libqt4-opengl-dev, libgl1-mesa-dev, libglu1-mesa-dev,
+ libqt4-dev, libqt4-opengl-dev [i386 amd64 powerpc], libgl1-mesa-dev [i386 amd64 powerpc], libglu1-mesa-dev [i386 amd64 powerpc],
  libqtwebkit-dev,
  libgphoto2-2-dev,
  libgtk2.0-dev,
@@ -16,22 +17,24 @@
  libgpod-nogtk-dev,
  libqca2-dev,
  libqjson-dev,
- libltdl3-dev, libpng-dev, libtiff4-dev, libjpeg-dev,
+ libltdl3-dev, libpng-dev, libtiff-dev, libjpeg-dev,
  libsane-dev,
  shared-desktop-ontologies,
- mysql-server-core-5.5 | mysql-server-core,
+ mysql-server-5.5 | mysql-server,
  libglib2.0-dev, libgphoto2-2-dev (>= 2.4),
- liblcms1-dev, libtiff4-dev, liblqr-1-0-dev,
- libopencv-dev,
+ liblcms1-dev, liblqr-1-0-dev,
+ libcv-dev (>= 2.2), libcvaux-dev (>= 2.2), libopencv-contrib-dev (>= 2.2), libopencv-gpu-dev (>= 2.2),
  libjasper-dev,
  liblensfun-dev,
  libexiv2-dev,
  libsqlite3-dev,
  libboost-graph-dev,
- libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev
+ libx11-dev, libxrandr-dev, libexpat1-dev | libexpat-dev, dh-apparmor, libopencv-dev
 Standards-Version: 3.8.4
-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/digikam
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/digikam
+XS-Debian-Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/digikam/trunk
+XS-Debian-Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-kde/kde-extras/digikam/trunk/
 Homepage: http://www.digikam.org
 
 Package: digikam
@@ -39,6 +42,8 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-sql-sqlite, digikam-data (= ${source:Version})
 Recommends: www-browser, kipi-plugins, mplayerthumbs
 Suggests: digikam-doc
+Breaks: kipi-plugins-common (<< 4:2.5.0~)
+Replaces: kipi-plugins-common (<< 4:2.5.0~)
 Description: digital photo management application for KDE
  Digital photo management program designed to import, organize, enhance, search
  and export your digital images to and from your computer.
@@ -96,8 +101,6 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, digikam (= ${binary:Version})
 Recommends: dolphin, kipi-plugins
-Breaks: digikam-doc (<< 2:2.0.0-1~)
-Replaces: digikam-doc (<< 2:2.0.0-1~)
 Description: image viewer/editor for KDE
  showFoto is the standalone image editor of the digiKam project.
  .
@@ -119,6 +122,8 @@
 Package: digikam-data
 Architecture: all
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Breaks: kipi-plugins (<< 4:2.5.0~)
+Replaces: kipi-plugins (<< 4:2.5.0~)
 Description: digiKam architecture-independant data
  Contains the significant amount of architecture-independent data that is
  shipped with digiKam.
@@ -131,11 +136,14 @@
 Depends: ${misc:Depends}, khelpcenter4
 Recommends: digikam
 Section: doc
-Description: handbook for digiKam 
+Breaks: digikam-data (<< 4:2.5.0~)
+Replaces: digikam-data (<< 4:2.5.0~)
+Description: handbook for digiKam and showFoto in several languages
  digiKam is an easy to use and powerful digital photo management
  application.
  .
- This package contains the handbooks for digiKam and kipi-plugins.
+ This package contains the handbooks for digiKam, showFoto and
+ kipi-plugins from the digikam package.
 
 Package: kipi-plugins
 Architecture: any
@@ -200,8 +208,8 @@
 Package: kipi-plugins-common
 Architecture: all
 Depends: ${misc:Depends}
-Breaks: digikam (<< 4:2.3.0-2~)
-Replaces: digikam (<< 4:2.3.0-2~)
+Breaks: digikam (<< 4:2.3.0-2~), kipi-plugins (<< 4:2.5.0~)
+Replaces: digikam (<< 4:2.3.0-2~), kipi-plugins (<< 4:2.5.0~)
 Description: kipi-plugins architecture-independent data
  KIPI plugins (KDE Image Plugin Interface) is an effort to develop a
  common plugin structure for digiKam, KPhotoAlbum (formerly known as
@@ -209,3 +217,63 @@
  Its aim is to share image plugins among graphic applications.
  .
  The architecture independent data needed for the kipi-plugins package.
+
+Package: libkface1
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}, libkface-data
+Description: LibFace wrapper for Qt/C++
+ Libkface is a Qt/C++ wrapper around LibFace library to perform face 
+ recognition and detection over pictures
+ .
+ This package contains the shared library to be used by applications.
+
+Package: libkface-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends}
+Description: Data files for libkface
+ Libkface is a Qt/C++ wrapper around LibFace library to perform face 
+ recognition and detection over pictures
+ .
+ This package contains the data files of the LibKFace library
+
+Package: libkface-dev
+Architecture: any
+Section: libdevel
+Depends: ${misc:Depends}, libkface1 (= ${binary:Version})
+Description: Development files for libkface
+ Libkface is a Qt/C++ wrapper around LibFace library to perform face 
+ recognition and detection over pictures
+ .
+ This package contains the development headers and files needed to create
+ applications that use the LibKFace library
+
+Package: libkgeomap1
+Architecture: any
+Section: libs
+Depends: ${misc:Depends}, ${shlibs:Depends}, libkgeomap-data
+Description: World-map wrapper to browse and arrange photos over a map
+ Libkgeomap is a wrapper around different world-map components, to browse and
+ arrange photos over a map.
+ .
+ Currently supported map engines are:
+  - Marble
+  - OpenstreetMap (via Marble)
+  - GoogleMap
+ .
+ This package contains the shared library to be used by applications.
+
+Package: libkgeomap-data
+Architecture: all
+Section: libs
+Depends: ${misc:Depends}
+Description: Data files for libkgeomap
+ Libkgeomap is a wrapper around different world-map components, to browse and
+ arrange photos over a map.
+ .
+ Currently supported map engines are:
+  - Marble
+  - OpenstreetMap (via Marble)
+  - GoogleMap
+ .

=== debian/rules ===
#!/usr/bin/make -f

DEB_VERSION_UPSTREAM_REVISION := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/^[0-9]*://')
DEB_VERSION_UPSTREAM := $(shell dpkg-parsechangelog | awk '/^Version: / { print $$2 }' | sed -e 's/-[^-]*$$//' | sed -e 's/^[0-9]*://')

%:
	dh $@ --with kde --parallel 

override_dh_auto_configure:
	LDFLAGS="$(LDFLAGS) -Wl,--as-needed" dh_auto_configure --buildsystem=kde

override_dh_installchangelogs:
	dh_installchangelogs core/ChangeLog 

# conflicts with oxygen-icon-theme package
override_dh_install:
	dh_install -Xmultithread -XREADME.MACOSX --list-missing
	install -m 644 -p -D debian/usr.sbin.mysqld-digikam \
		debian/digikam/etc/apparmor.d/usr.sbin.mysqld-digikam
	install -m 755 -p -D debian/mysqld-digikam \
		debian/digikam/usr/sbin/mysqld-digikam

override_dh_installinit:
	dh_installinit
	dh_apparmor -pdigikam --profile-name=usr.sbin.mysqld-digikam

override_dh_strip:
	# Don't include the libraries in the debug package to prevent file conflicts
	# in the future. We have -dbgsym packages anyway.
	dh_strip -plibkface1 -plibkgeomap1 -plibmediawiki1 -plibkvkontakte1
	dh_strip --remaining-packages --dbg-package=digikam-dbg

override_dh_makeshlibs:
	dh_makeshlibs -plibkface1 -V 'libkface1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs -plibkgeomap1 -V 'libkgeomap1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs -plibmediawiki1 -V 'libmediawiki1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs -plibkvkontakte1 -V 'libkvkontakte1 (>= 1.0~digikam$(DEB_VERSION_UPSTREAM))'
	dh_makeshlibs --remaining-packages

override_dh_gencontrol:
	dh_gencontrol -plibkface1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkface-data -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkface-dev -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkgeomap1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkgeomap-data -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkgeomap-dev -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibmediawiki1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibmediawiki-dev -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkvkontakte1 -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol -plibkvkontakte-dev -- -v1.0~digikam$(DEB_VERSION_UPSTREAM_REVISION)
	dh_gencontrol --remaining-packages
